export declare enum ObserveType {
    "once" = 0,
    "auto" = 1
}
export declare class ImagesObserver {
    images: HTMLElement;
    options: {
        root: any;
        rootMargin: string;
        threshold: number;
    };
    observeType: ObserveType;
    onObserve: Function;
    private observer;
    constructor();
    private fetchImage;
    private loadImage;
    private handleIntersection;
    observe(images: any, onObserve?: Function, observeType?: ObserveType): void;
    unobserve(images: any): void;
}
