(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/router'), require('@angular/common'), require('@angular/common/http'), require('@angular/core'), require('rxjs/operators'), require('rxjs')) :
    typeof define === 'function' && define.amd ? define('custom-component', ['exports', '@angular/router', '@angular/common', '@angular/common/http', '@angular/core', 'rxjs/operators', 'rxjs'], factory) :
    (factory((global['custom-component'] = {}),global.ng.router,global.ng.common,global.ng.common.http,global.ng.core,global.rxjs.operators,global.rxjs));
}(this, (function (exports,router,common,i1,i0,operators,rxjs) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CustomMenuComponent = /** @class */ (function () {
        function CustomMenuComponent() {
            this.horizontal = false;
            this.autoReset = true;
            this.onItemClick = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        CustomMenuComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                // this.menuItems = [
                //     {
                //         label: 'Dashboard', icon: 'dashboard',
                //         items: [
                //             {label: 'Invoice Dashboard', icon: 'dashboard',  routerLink: ['/cmx-loader']},
                //             {label: 'Grid', icon: 'dashboard',  routerLink: ['/cmx-loader1']},
                //             {label: 'Dashboard-3', icon: 'dashboard',  routerLink: ['/admin/pages/']},
                //         ]
                //     },
                //     {
                //         label: 'Cargo Messenger', icon: 'question_answer',
                //         items: [
                //             {label: 'Messenger ', /*routerLink: ['/']*/},
                //             {label: 'Proovv', routerLink: ['/admin/pages/proovv']}
                //         ]
                //     },
                //     {
                //         label: 'Cargo Explorer', icon: 'group',
                //         items: [
                //             {label: 'Task Manager ', /*routerLink: ['/']*/},
                //             // {label: 'Operations', routerLink: ['/admin/pages/charts']},
                //             {label: 'Prime Charts', routerLink: ['/admin/pages/charts-prime']},
                //             {label: 'Charts', routerLink: ['/admin/pages/charts']}
                //         ]
                //     },
                //     // {
                //     //     label: 'Settings', icon: 'settings_application',
                //     //     items: [
                //     //         {label: 'DHL', icon: 'brush', command: (event) => {this.changeTheme('dhl')}},
                //     //         {label: 'CargoMatrix', icon: 'brush', command: (event) => {this.changeTheme('cargomatrix')}},
                //     //         {label: 'Indigo - Pink', icon: 'brush', command: (event) => {this.changeTheme('indigo')}},
                //     //         {label: 'Brown - Green', icon: 'brush', command: (event) => {this.changeTheme('brown')}},
                //     //         {label: 'Blue - Amber', icon: 'brush', command: (event) => {this.changeTheme('blue')}},
                //     //         {label: 'Blue Grey - Green', icon: 'brush', command: (event) => {this.changeTheme('blue-grey')}},
                //     //         {label: 'Dark - Blue', icon: 'brush', command: (event) => {this.changeTheme('dark-blue')}},
                //     //         {label: 'Dark - Green', icon: 'brush', command: (event) => {this.changeTheme('dark-green')}},
                //     //         {label: 'Green - Yellow', icon: 'brush', command: (event) => {this.changeTheme('green')}},
                //     //         {label: 'Purple - Cyan', icon: 'brush', command: (event) => {this.changeTheme('purple-cyan')}},
                //     //         {label: 'Purple - Amber', icon: 'brush', command: (event) => {this.changeTheme('purple-amber')}},
                //     //         {label: 'Teal - Lime', icon: 'brush', command: (event) => {this.changeTheme('teal')}},
                //     //         {label: 'Cyan - Amber', icon: 'brush', command: (event) => {this.changeTheme('cyan')}},
                //     //         {label: 'Grey - Deep Orange', icon: 'brush', command: (event) => {this.changeTheme('grey')}}
                //     //     ]
                //     // },
                // ];
            };
        /**
         * @param {?} e
         * @return {?}
         */
        CustomMenuComponent.prototype.itemClick = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (this.autoReset)
                    this.reset = !e.item.items;
                this.onItemClick.emit(e);
            };
        CustomMenuComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'custom-menu',
                        template: "\n        <ul class=\"navbar navbar-nav px-2\" *ngIf=\"menuItems?.length\">\n            <submenu [item]=\"menuItems\" (onItemClick)=\"itemClick($event)\" root=\"true\" [reset]=\"reset\"> </submenu>\n        </ul>\n    ",
                        host: {
                            '[class.horizontal-menu]': 'horizontal'
                        },
                        styles: [":host{display:block;width:100%}:host cmx-submenu{width:100%}:host cmx-submenu ::ng-deep .active-link{background-color:var(--primary)}:host cmx-submenu ::ng-deep .dropdown-item{padding:0 .5rem!important}:host.horizontal-menu cmx-submenu{display:flex}:host.horizontal-menu cmx-submenu ::ng-deep .dropdown-menu{position:absolute}"]
                    }] }
        ];
        /** @nocollapse */
        CustomMenuComponent.ctorParameters = function () { return []; };
        CustomMenuComponent.propDecorators = {
            menuItems: [{ type: i0.Input }],
            horizontal: [{ type: i0.Input }],
            autoReset: [{ type: i0.Input }],
            reset: [{ type: i0.Input }],
            onItemClick: [{ type: i0.Output }]
        };
        return CustomMenuComponent;
    }());
    var SubMenu = /** @class */ (function () {
        function SubMenu(router$$1, location) {
            this.router = router$$1;
            this.location = location;
            this.onItemClick = new i0.EventEmitter();
        }
        /**
         * @param {?} event
         * @param {?} item
         * @param {?} index
         * @return {?}
         */
        SubMenu.prototype.itemClick = /**
         * @param {?} event
         * @param {?} item
         * @param {?} index
         * @return {?}
         */
            function (event, item, index) {
                //avoid processing disabled items
                if (item.disabled) {
                    event.preventDefault();
                    return true;
                }
                //activate current item and deactivate active sibling if any
                this.activeIndex = (this.activeIndex === index) ? null : index;
                //execute command
                if (item.action) ;
                //prevent hash change
                if (item.items || (!item.url && !item.routerLink)) {
                    event.preventDefault();
                }
                this.onItemClick.emit({ event: event, item: item, index: index });
            };
        /**
         * @param {?} index
         * @return {?}
         */
        SubMenu.prototype.isActive = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                return this.activeIndex === index;
            };
        Object.defineProperty(SubMenu.prototype, "reset", {
            get: /**
             * @return {?}
             */ function () {
                return this._reset;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._reset = val;
                if (this._reset) {
                    this.activeIndex = null;
                }
            },
            enumerable: true,
            configurable: true
        });
        SubMenu.decorators = [
            { type: i0.Component, args: [{
                        selector: 'submenu',
                        template: "\n    <ng-template ngFor let-child let-i=\"index\" [ngForOf]=\"(root ? item : item.items)\">\n\n      <li class=\"nav-item\" routerLinkActive=\"active\" [routerLinkActiveOptions]=\"{exact: false}\" [ngClass]=\"{'active': isActive(i), 'dropdown': child.items, 'dropdown-item': !root && child.label, 'dropdown-divider': !child.items && !root && !child.routerLink && !child.url && !child.label  }\">\n\n        <a *ngIf=\"child.routerLink\" id=\"sub-menu-{{i}}\" [ngClass]=\"{'dropdown-toggle': child.items }\" (click)=\"itemClick($event,child,i)\"\n          [routerLink]=\"child.routerLink\" routerLinkActive=\"active-link\" [routerLinkActiveOptions]=\"{exact: false}\"\n          class=\"nav-link p-2\" href=\"#\"\n          [attr.target]=\"child.target\" [attr.role]=\"child.items ? 'button' : null\" [attr.data-toggle]=\"child.items ? 'dropdown' : null\"\n          [attr.aria-haspopup]=\"child.items ? true : null\" [attr.aria-expanded]=\"child.items ? false : null\">\n          <i *ngIf=\"child.icon\" class=\"{{child.icon}}\"></i>\n          <img *ngIf=\"child.iconSrc\" [src]=\"child.iconSrc\" />\n          <span>{{child.label}}</span>\n        </a>\n\n        <a *ngIf=\"!child.routerLink && child.label\" id=\"sub-menu-{{i}}\" [ngClass]=\"{'dropdown-toggle': child.items }\" (click)=\"itemClick($event,child,i)\"\n          class=\"nav-link p-2\" [href]=\"child.url || '#'\"\n          [attr.target]=\"child.target\" [attr.role]=\"child.items ? 'button' : null\" [attr.data-toggle]=\"child.items ? 'dropdown' : null\"\n          [attr.aria-haspopup]=\"child.items ? true : null\" [attr.aria-expanded]=\"child.items ? false : null\">\n          <i *ngIf=\"child.icon\" class=\"{{child.icon}}\"></i>\n          <img *ngIf=\"child.iconSrc\" [src]=\"child.iconSrc\" />\n          <span>{{child.label}}</span>\n        </a>\n\n        <ul *ngIf=\"child.items\" class=\"dropdown-menu\" [attr.aria-labelledby]=\"'sub-menu-' + i\">\n          <submenu [item]=\"child\" (onItemClick)=\"onItemClick.emit($event)\" [reset]=\"reset\"> </submenu>\n        </ul>\n\n      </li>\n\n    </ng-template>\n    "
                    }] }
        ];
        /** @nocollapse */
        SubMenu.ctorParameters = function () {
            return [
                { type: router.Router },
                { type: common.Location }
            ];
        };
        SubMenu.propDecorators = {
            onItemClick: [{ type: i0.Output }],
            item: [{ type: i0.Input }],
            root: [{ type: i0.Input }],
            reset: [{ type: i0.Input }]
        };
        return SubMenu;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CmxMenuModule = /** @class */ (function () {
        function CmxMenuModule() {
        }
        CmxMenuModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule
                        ],
                        declarations: [
                            CustomMenuComponent,
                            SubMenu
                        ],
                        exports: [
                            CustomMenuComponent,
                            SubMenu
                        ]
                    },] }
        ];
        return CmxMenuModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var ObserveType = {
        "once": 0, "auto": 1,
    };
    ObserveType[ObserveType["once"]] = "once";
    ObserveType[ObserveType["auto"]] = "auto";
    var ImagesObserver = /** @class */ (function () {
        function ImagesObserver() {
            this.options = {
                // If the image gets within 50px in the Y axis, start the download.
                root: null,
                // Page as root
                rootMargin: '0px',
                threshold: 0.1
            };
            this.observeType = ObserveType.once;
            this.onObserve = ( /**
             * @return {?}
             */function () { });
            if ('IntersectionObserver' in window)
                this.observer = new IntersectionObserver(this.handleIntersection.bind(this), this.options);
        }
        /**
         * @private
         * @param {?} url
         * @return {?}
         */
        ImagesObserver.prototype.fetchImage = /**
         * @private
         * @param {?} url
         * @return {?}
         */
            function (url) {
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    /** @type {?} */
                    var image = new Image();
                    image.src = url;
                    image.onload = resolve;
                    image.onerror = reject;
                }));
            };
        /**
         * @private
         * @param {?} image
         * @return {?}
         */
        ImagesObserver.prototype.loadImage = /**
         * @private
         * @param {?} image
         * @return {?}
         */
            function (image) {
                /** @type {?} */
                var src = image.lazySrc;
                return this.fetchImage(src).then(( /**
                 * @return {?}
                 */function () {
                    image.src = src;
                }));
            };
        /**
         * @private
         * @param {?} entries
         * @param {?} observer
         * @return {?}
         */
        ImagesObserver.prototype.handleIntersection = /**
         * @private
         * @param {?} entries
         * @param {?} observer
         * @return {?}
         */
            function (entries, observer) {
                var _this = this;
                entries.forEach(( /**
                 * @param {?} entry
                 * @return {?}
                 */function (entry) {
                    if (entry.intersectionRatio > 0) {
                        _this.onObserve(entry);
                        console.log("observe");
                        _this.loadImage(entry.target).then(( /**
                         * @return {?}
                         */function () {
                            if (_this.observeType === ObserveType.once && observer && observer.unobserve)
                                observer.unobserve(entry.target);
                        }));
                    }
                }));
            };
        /**
         * @param {?} images
         * @param {?=} onObserve
         * @param {?=} observeType
         * @return {?}
         */
        ImagesObserver.prototype.observe = /**
         * @param {?} images
         * @param {?=} onObserve
         * @param {?=} observeType
         * @return {?}
         */
            function (images, onObserve, observeType) {
                var _this = this;
                if (onObserve) {
                    this.onObserve = onObserve;
                }
                if (observeType)
                    this.observeType = observeType;
                if (this.observer) {
                    images.forEach(( /**
                     * @param {?} img
                     * @return {?}
                     */function (img) {
                        _this.observer.observe(img);
                    }));
                }
                else {
                    Array.from(images).forEach(( /**
                     * @param {?} image
                     * @return {?}
                     */function (image) { return _this.loadImage(image); }));
                }
            };
        /**
         * @param {?} images
         * @return {?}
         */
        ImagesObserver.prototype.unobserve = /**
         * @param {?} images
         * @return {?}
         */
            function (images) {
                var _this = this;
                images.forEach(( /**
                 * @param {?} img
                 * @return {?}
                 */function (img) {
                    if (_this.observer && _this.observer.unobserve)
                        _this.observer.unobserve(img);
                }));
            };
        ImagesObserver.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        ImagesObserver.ctorParameters = function () { return []; };
        return ImagesObserver;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LazySrcDirective = /** @class */ (function () {
        function LazySrcDirective(elementRef, imagesObserver) {
            this.imagesObserver = imagesObserver;
            this.element = elementRef.nativeElement;
            this.element.lazySrc = this.element.src;
            this.element.src = "";
            this.imagesObserver.observe([this.element]);
        }
        /**
         * @return {?}
         */
        LazySrcDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.imagesObserver && this.imagesObserver.unobserve)
                    this.imagesObserver.unobserve([this.element]);
            };
        LazySrcDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: "[lazysrc]",
                        providers: [ImagesObserver]
                    },] }
        ];
        /** @nocollapse */
        LazySrcDirective.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: ImagesObserver }
            ];
        };
        return LazySrcDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LazySrcDirectiveCoreModule = /** @class */ (function () {
        function LazySrcDirectiveCoreModule() {
        }
        LazySrcDirectiveCoreModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                        ],
                        declarations: [
                            LazySrcDirective
                        ],
                        exports: [
                            LazySrcDirective
                        ]
                    },] }
        ];
        return LazySrcDirectiveCoreModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DynamicComponentService = /** @class */ (function () {
        function DynamicComponentService() {
        }
        DynamicComponentService.decorators = [
            { type: i0.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */ DynamicComponentService.ngInjectableDef = i0.defineInjectable({ factory: function DynamicComponentService_Factory() { return new DynamicComponentService(); }, token: DynamicComponentService, providedIn: "root" });
        return DynamicComponentService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DynamicComponent = /** @class */ (function () {
        function DynamicComponent(DynamicComponentService$$1, viewRef, cdRef, componentFactoryResolver) {
            this.DynamicComponentService = DynamicComponentService$$1;
            this.viewRef = viewRef;
            this.cdRef = cdRef;
            this.componentFactoryResolver = componentFactoryResolver;
            this.hasLoader = true;
            this.optionsChange = new i0.EventEmitter();
            this.initialized = new i0.EventEmitter();
            this.loader = true;
        }
        /**
         * @return {?}
         */
        DynamicComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                this.init();
            };
        /**
         * @return {?}
         */
        DynamicComponent.prototype.init = /**
         * @return {?}
         */
            function () {
                this.loader = true;
                if (this.component) {
                    /** @type {?} */
                    var componentFactory = this.componentFactoryResolver.resolveComponentFactory(typeof this.component === 'string' ? this.DynamicComponentService.dynamicComponentsList[this.component] : this.component);
                    this.injectComponent(componentFactory, this.options, this.container);
                    this.loader = false;
                    if (!this.options) {
                        this.options = {};
                    }
                    this.cdRef.detectChanges();
                    this.initialized.emit(this.control);
                }
                else {
                    this.loader = false;
                    this.cdRef.detectChanges();
                    this.initialized.emit(this.control);
                }
            };
        /**
         * @param {?} componentFactory
         * @param {?} componentData
         * @param {?} container
         * @return {?}
         */
        DynamicComponent.prototype.injectComponent = /**
         * @param {?} componentFactory
         * @param {?} componentData
         * @param {?} container
         * @return {?}
         */
            function (componentFactory, componentData, container) {
                var _this = this;
                if (componentFactory) {
                    /** @type {?} */
                    var ref = container.createComponent(componentFactory);
                    for (var key in componentData) {
                        if (componentData.hasOwnProperty(key)) {
                            ref.instance[key] = componentData[key];
                        }
                    }
                    this.control = ref.instance;
                    var _loop_1 = function (key_1) {
                        if (ref.instance.hasOwnProperty(key_1 + "Change")) {
                            ref.instance[key_1 + "Change"].subscribe(( /**
                             * @param {?} val
                             * @return {?}
                             */function (val) {
                                _this.options[key_1] = val;
                                _this.optionsChange.emit(_this.options);
                            }));
                        }
                    };
                    for (var key_1 in this.control) {
                        _loop_1(key_1);
                    }
                    ref.changeDetectorRef.detectChanges();
                }
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        DynamicComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                /** @type {?} */
                var component = changes.component;
                if (component && !component.firstChange && this.container) {
                    this.container.remove();
                    this.init();
                }
            };
        DynamicComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'dynamic',
                        template: "<ng-container #cont></ng-container>\r\n<app-loader *ngIf=\"hasLoader && loader\"></app-loader>",
                        styles: [":host{display:block}"]
                    }] }
        ];
        /** @nocollapse */
        DynamicComponent.ctorParameters = function () {
            return [
                { type: DynamicComponentService },
                { type: i0.ViewContainerRef },
                { type: i0.ChangeDetectorRef },
                { type: i0.ComponentFactoryResolver }
            ];
        };
        DynamicComponent.propDecorators = {
            container: [{ type: i0.ViewChild, args: ["cont", { read: i0.ViewContainerRef },] }],
            component: [{ type: i0.Input }],
            hasLoader: [{ type: i0.Input }],
            options: [{ type: i0.Input }],
            optionsChange: [{ type: i0.Output }],
            initialized: [{ type: i0.Output }]
        };
        return DynamicComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoaderComponent = /** @class */ (function () {
        function LoaderComponent() {
        }
        LoaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'app-loader',
                        template: "<div class=\"loader-body\">\r\n    <div class=\"loader-content\">\r\n        <div class=\"lds-spinner\">\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n            <div></div>\r\n        </div>\r\n    </div>\r\n</div>",
                        styles: [".loader-body{position:fixed;width:100%;top:0;z-index:99999999;height:100%;text-align:center!important;left:0;display:flex;align-items:center;justify-content:center;background:rgba(0,0,0,.48)}.lds-spinner{color:official;display:inline-block;position:relative;width:64px;height:64px}.lds-spinner div{transform-origin:32px 32px;-webkit-animation:1.2s linear infinite lds-spinner;animation:1.2s linear infinite lds-spinner}.lds-spinner div:after{content:\" \";display:block;position:absolute;top:8px;left:30px;width:2px;height:12px;border-radius:20%;background:#fff}.lds-spinner div:nth-child(1){transform:rotate(0);-webkit-animation-delay:-1.1s;animation-delay:-1.1s}.lds-spinner div:nth-child(2){transform:rotate(30deg);-webkit-animation-delay:-1s;animation-delay:-1s}.lds-spinner div:nth-child(3){transform:rotate(60deg);-webkit-animation-delay:-.9s;animation-delay:-.9s}.lds-spinner div:nth-child(4){transform:rotate(90deg);-webkit-animation-delay:-.8s;animation-delay:-.8s}.lds-spinner div:nth-child(5){transform:rotate(120deg);-webkit-animation-delay:-.7s;animation-delay:-.7s}.lds-spinner div:nth-child(6){transform:rotate(150deg);-webkit-animation-delay:-.6s;animation-delay:-.6s}.lds-spinner div:nth-child(7){transform:rotate(180deg);-webkit-animation-delay:-.5s;animation-delay:-.5s}.lds-spinner div:nth-child(8){transform:rotate(210deg);-webkit-animation-delay:-.4s;animation-delay:-.4s}.lds-spinner div:nth-child(9){transform:rotate(240deg);-webkit-animation-delay:-.3s;animation-delay:-.3s}.lds-spinner div:nth-child(10){transform:rotate(270deg);-webkit-animation-delay:-.2s;animation-delay:-.2s}.lds-spinner div:nth-child(11){transform:rotate(300deg);-webkit-animation-delay:-.1s;animation-delay:-.1s}.lds-spinner div:nth-child(12){transform:rotate(330deg);-webkit-animation-delay:0s;animation-delay:0s}@-webkit-keyframes lds-spinner{0%{opacity:1}100%{opacity:0}}@keyframes lds-spinner{0%{opacity:1}100%{opacity:0}}"]
                    }] }
        ];
        /** @nocollapse */
        LoaderComponent.ctorParameters = function () { return []; };
        LoaderComponent.propDecorators = {
            openModalButton: [{ type: i0.ViewChild, args: ['openModalButton',] }]
        };
        return LoaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoaderModule = /** @class */ (function () {
        function LoaderModule() {
        }
        LoaderModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [LoaderComponent],
                        imports: [],
                        exports: [LoaderComponent]
                    },] }
        ];
        return LoaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CmxDynamicModule = /** @class */ (function () {
        function CmxDynamicModule() {
        }
        CmxDynamicModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            LoaderModule
                        ],
                        declarations: [
                            DynamicComponent
                        ],
                        exports: [
                            DynamicComponent
                        ]
                    },] }
        ];
        return CmxDynamicModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PanelComponent = /** @class */ (function () {
        function PanelComponent() {
            this.maximizable = true;
            this.maximized = false;
            this.showPanelHeader = true;
            this.iconSrc = '/assets/icons/chart-icon.png';
            this.icon = '';
        }
        /**
         * @return {?}
         */
        PanelComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} e
         * @return {?}
         */
        PanelComponent.prototype.maximizeContainer = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                this.maximized = !this.maximized;
            };
        PanelComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'custom-panel',
                        template: "<div #panel class=\"panel\">\r\n  <div class=\"panel-header\" *ngIf=\"showPanelHeader\">\r\n    <div class=\"header-text\">\r\n      <div class=\"icon\">\r\n        <i *ngIf=\"icon\" class=\"{{icon}}\"></i>\r\n        <img *ngIf=\"iconSrc\" [src]=\"iconSrc\" />\r\n      </div>\r\n\r\n      <ng-content select=\".header\"></ng-content>\r\n    </div>\r\n    <div class=\"header-actions vertical-center\">\r\n      <i class=\"fa fa-arrows-alt drag-button\" title=\"Drag/Drop\"></i>\r\n      <button class=\"round-button small no-border\" *ngIf=\"maximizable\" (click)=\"maximizeContainer($event)\">\r\n      </button>\r\n      <!-- \r\n      hint=\"{{maximized ? 'Minimize' : 'Maximize'}}\"\r\n      [icon]=\"maximized ? 'ma ma-fullscreen_exit' : 'ma ma-fullscreen'\" -->\r\n    </div>\r\n  </div>\r\n  <div class=\"panel-content-wrapper\">\r\n    <ng-content select=\".content\"></ng-content>\r\n  </div>\r\n</div>",
                        host: { '[class.maximized-panel]': 'maximized' },
                        styles: [":host{display:block;height:500px}:host.maximized-panel{position:absolute;left:0;right:0;bottom:0;top:0;margin:0!important;height:auto!important;width:auto!important;padding:0;z-index:3000}:host.maximized-panel>.panel{height:100%}:host.maximized-panel>.panel>.panel-content-wrapper{margin:auto;width:100%;height:100%!important;border:0!important}:host.maximized-panel>.panel>.panel-content-wrapper .content{height:100%!important}:host .panel{height:100%;width:100%;display:flex;flex-direction:column}:host .panel .panel-header{align-items:center;display:flex;justify-content:space-between;border:1px solid #d0d0d0}:host .panel .panel-header .drag-button{font-size:18px;cursor:move;padding-top:3px}:host .panel .panel-header .header-text{display:flex;align-items:center;width:100%;max-width:calc(100% - 20px)}:host .panel .panel-header .header-text .icon{margin-right:5px}:host .panel .panel-header .header-text .icon i{font-size:20px}:host .panel .panel-header .header-text .icon img{width:24px;height:24px}:host .panel .panel-header .header-text .views{display:flex}:host .panel .panel-header .header-text .views .icon{cursor:pointer;box-sizing:border-box}:host .panel .panel-header .header-text .views .icon.selected{box-shadow:0 0 0 2px #d40511;box-sizing:content-box}:host .panel .panel-content-wrapper{height:400px;padding:.625em 1em;overflow:auto!important;box-sizing:border-box;border:1px solid #d0d0d0;border-top:0;overflow-x:hidden!important;background-color:#fff}:host .panel .panel-content-wrapper .dx-button{background:#fff;float:right!important}:host .panel .content{height:100%}:host>.panel .panel-header{min-height:34px;padding:0;background:#fafafa;border-color:rgba(0,0,0,.15);border-bottom:1px solid #e1e1e1;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-filter:none;filter:none;width:100%;font-size:13px;font-family:'Segoe UI','Helvetica Neue',Helvetica,Verdana,sans-serif}:host>.panel .panel-header .header-text{overflow:hidden;-ms-text-overflow:ellipsis;text-overflow:ellipsis;cursor:default;font-weight:400;padding:2px 0 2px 10px}:host>.panel .panel-header .header-text .header{flex:1 1 auto}:host>.panel .panel-header .header-text .header span{color:#5d5d5d}:host>.panel .panel-header .header-actions{vertical-align:top;border-width:0;padding:4px;display:flex}:host>.panel .panel-header .header-actions ::ng-deep .dx-button-content{padding:0}:host>.panel .panel-header .header-actions ::ng-deep .dx-button-content .dx-icon{width:100%;height:100%;line-height:24px;font-size:24px}:host>.panel .panel-header .header-actions ::ng-deep .dx-button-content .dx-icon.ma.ma-fullscreen,:host>.panel .panel-header .header-actions ::ng-deep .dx-button-content .dx-icon.ma.ma-fullscreen_exit{font-size:24px}:host>.panel .panel-header .header-actions .dx-button{width:24px;height:24px;border-radius:0;border:0;background:#fff}:host>.panel .panel-header .header-actions .dx-button:hover{background-color:initial;box-shadow:0 0 0 1px rgba(0,0,0,.15)}:host>.panel .panel-content-wrapper{border-color:rgba(0,0,0,.15)}@media all and (-ms-high-contrast:none),(-ms-high-contrast:active){custom-panel.maximized-panel{position:absolute!important}}"]
                    }] }
        ];
        /** @nocollapse */
        PanelComponent.ctorParameters = function () { return []; };
        PanelComponent.propDecorators = {
            maximizable: [{ type: i0.Input }],
            maximized: [{ type: i0.Input }],
            showPanelHeader: [{ type: i0.Input }]
        };
        return PanelComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PanelModule = /** @class */ (function () {
        function PanelModule() {
        }
        PanelModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule
                        ],
                        declarations: [
                            PanelComponent
                        ],
                        exports: [
                            PanelComponent
                        ],
                        entryComponents: [
                            PanelComponent
                        ]
                    },] }
        ];
        return PanelModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BroadcasterService = /** @class */ (function () {
        function BroadcasterService() {
            this._eventBus = new rxjs.Subject();
        }
        /**
         * @param {?} key
         * @param {?=} data
         * @return {?}
         */
        BroadcasterService.prototype.broadcast = /**
         * @param {?} key
         * @param {?=} data
         * @return {?}
         */
            function (key, data) {
                this._eventBus.next({ key: key, data: data });
            };
        /**
         * @template T
         * @param {?} key
         * @return {?}
         */
        BroadcasterService.prototype.on = /**
         * @template T
         * @param {?} key
         * @return {?}
         */
            function (key) {
                return this._eventBus.asObservable().pipe(operators.filter(( /**
                 * @param {?} event
                 * @return {?}
                 */function (event) { return event.key === key; })), operators.map(( /**
                 * @param {?} event
                 * @return {?}
                 */function (event) { return ( /** @type {?} */(event.data)); })));
            };
        BroadcasterService.decorators = [
            { type: i0.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        BroadcasterService.ctorParameters = function () { return []; };
        /** @nocollapse */ BroadcasterService.ngInjectableDef = i0.defineInjectable({ factory: function BroadcasterService_Factory() { return new BroadcasterService(); }, token: BroadcasterService, providedIn: "root" });
        return BroadcasterService;
    }());
    var WithEventSubscriptions = /** @class */ (function () {
        function WithEventSubscriptions(broadcasterService) {
            this.subscriptions = [];
        }
        /**
         * @return {?}
         */
        WithEventSubscriptions.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.subscriptions.forEach(( /**
                 * @param {?} sbc
                 * @return {?}
                 */function (sbc) {
                    sbc.unsubscribe();
                }));
            };
        return WithEventSubscriptions;
    }());

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AppConfigService = /** @class */ (function () {
        function AppConfigService(http) {
            this.http = http;
        }
        /**
         * @param {?} theme
         * @return {?}
         */
        AppConfigService.prototype.changeTheme = /**
         * @param {?} theme
         * @return {?}
         */
            function (theme) {
                /** @type {?} */
                var themeLink = ( /** @type {?} */(document.getElementById('theme-css')));
                /** @type {?} */
                var favIconLinl = ( /** @type {?} */(document.getElementById('theme-css-favicon')));
                themeLink.href = 'assets/theme/theme-' + theme + '.css';
                favIconLinl.href = 'assets/images/' + theme + '-favicon.png';
            };
        /**
         * @return {?}
         */
        AppConfigService.prototype.loadAppConfig = /**
         * @return {?}
         */
            function () {
                return __awaiter(this, void 0, void 0, function () {
                    var configs, err_1;
                    return __generator(this, function (_a) {
                        switch (_a.label) {
                            case 0:
                                _a.trys.push([0, 2, , 3]);
                                return [4 /*yield*/, this.http.get("app.config.json").toPromise()];
                            case 1:
                                configs = _a.sent();
                                this.appConfig = configs;
                                return [3 /*break*/, 3];
                            case 2:
                                err_1 = _a.sent();
                                console.log(err_1);
                                return [3 /*break*/, 3];
                            case 3: return [2 /*return*/];
                        }
                    });
                });
            };
        AppConfigService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AppConfigService.ctorParameters = function () {
            return [
                { type: i1.HttpClient }
            ];
        };
        return AppConfigService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DynamicActionsService = /** @class */ (function () {
        function DynamicActionsService(event, settings) {
            this.event = event;
            this.settings = settings;
        }
        /**
         * @param {?} action
         * @param {?=} data
         * @param {?=} event
         * @return {?}
         */
        DynamicActionsService.prototype.callAction = /**
         * @param {?} action
         * @param {?=} data
         * @param {?=} event
         * @return {?}
         */
            function (action, data, event) {
                var _this = this;
                if (!action.type || action.type === "event") {
                    action.name.split(',').forEach(( /**
                     * @param {?} name
                     * @return {?}
                     */function (name) {
                        _this.event.broadcast(name, _this.getParams(action, data));
                    }));
                }
                else {
                    action.name.split(',').forEach(( /**
                     * @param {?} name
                     * @return {?}
                     */function (name) {
                        _this[action.type][name](_this.getParams(action, data), event);
                    }));
                }
            };
        /**
         * @private
         * @param {?} action
         * @param {?=} data
         * @return {?}
         */
        DynamicActionsService.prototype.getParams = /**
         * @private
         * @param {?} action
         * @param {?=} data
         * @return {?}
         */
            function (action, data) {
                /** @type {?} */
                var params = null;
                if (action.onlyStaticParams) {
                    params = {};
                    if (action.params) {
                        params = this.copy(action.params);
                    }
                    if (action.matchParams) {
                        for (var key in action.matchParams) {
                            if (data && (data[action.matchParams[key]] || data[action.matchParams[key]] == 0))
                                params[key] = data[action.matchParams[key]];
                        }
                    }
                    return params;
                }
                if (data)
                    params = this.copy(data);
                if (action.params) {
                    params = params ? __assign({}, params, this.copy(action.params)) : this.copy(action.params);
                }
                if (action.matchParams) {
                    for (var key in action.matchParams) {
                        params[key] = data[action.matchParams[key]];
                    }
                }
                return params;
            };
        /**
         * @param {?} obj
         * @return {?}
         */
        DynamicActionsService.prototype.copy = /**
         * @param {?} obj
         * @return {?}
         */
            function (obj) {
                var _this = this;
                if (Array.isArray(obj))
                    return obj.map(( /**
                     * @param {?} item
                     * @return {?}
                     */function (item) { return _this.copy(item); }));
                if (obj && !(obj instanceof Date) && typeof obj === "object") {
                    /** @type {?} */
                    var copy = {};
                    for (var key in obj) {
                        if (obj.hasOwnProperty(key)) {
                            copy[key] = this.copy(obj[key]);
                        }
                    }
                    return copy;
                }
                else {
                    return obj;
                }
            };
        DynamicActionsService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        DynamicActionsService.ctorParameters = function () {
            return [
                { type: BroadcasterService },
                { type: AppConfigService }
            ];
        };
        return DynamicActionsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PublicApiCallerService = /** @class */ (function () {
        function PublicApiCallerService(http) {
            this.http = http;
        }
        /**
         * @template T
         * @param {?} endpoint
         * @param {?=} params
         * @param {?=} reqOpts
         * @return {?}
         */
        PublicApiCallerService.prototype.get = /**
         * @template T
         * @param {?} endpoint
         * @param {?=} params
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, params, reqOpts) {
                return this.http.get(endpoint, generateRequestOptions(reqOpts, params)).pipe(this.processApiResponse());
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PublicApiCallerService.prototype.post = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                return this.http.post(endpoint, body, generateRequestOptions(reqOpts)).pipe(this.processApiResponse());
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PublicApiCallerService.prototype.put = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                return this.http.put(endpoint, body, generateRequestOptions(reqOpts)).pipe(this.processApiResponse());
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?=} reqOpts
         * @return {?}
         */
        PublicApiCallerService.prototype.delete = /**
         * @template T
         * @param {?} endpoint
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, reqOpts) {
                return this.http.delete(endpoint, generateRequestOptions(reqOpts)).pipe(this.processApiResponse());
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PublicApiCallerService.prototype.patch = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                return this.http.patch(endpoint, body, generateRequestOptions(reqOpts)).pipe(this.processApiResponse());
            };
        /**
         * @template T
         * @return {?}
         */
        PublicApiCallerService.prototype.processApiResponse = /**
         * @template T
         * @return {?}
         */
            function () {
                return ( /**
                 * @param {?} httpResponse$
                 * @return {?}
                 */function (httpResponse$) {
                    return httpResponse$.pipe(operators.map(( /**
                     * @param {?} response
                     * @return {?}
                     */function (response) { return ( /** @type {?} */(response)); })), operators.catchError(( /**
                     * @param {?} err
                     * @return {?}
                     */function (err) {
                        return rxjs.throwError(err);
                    })));
                });
            };
        PublicApiCallerService.decorators = [
            { type: i0.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        PublicApiCallerService.ctorParameters = function () {
            return [
                { type: i1.HttpClient }
            ];
        };
        /** @nocollapse */ PublicApiCallerService.ngInjectableDef = i0.defineInjectable({ factory: function PublicApiCallerService_Factory() { return new PublicApiCallerService(i0.inject(i1.HttpClient)); }, token: PublicApiCallerService, providedIn: "root" });
        return PublicApiCallerService;
    }());
    /**
     * @param {?=} reqOpts
     * @param {?=} params
     * @return {?}
     */
    function generateRequestOptions(reqOpts, params) {
        if (reqOpts === void 0) {
            reqOpts = { responseType: 'json', observe: 'body' };
        }
        if (params) {
            reqOpts.params = new i1.HttpParams();
            for (var k in params) {
                reqOpts.params = reqOpts.params.set(k, params[k]);
            }
        }
        return reqOpts;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PrivateApiCallerService = /** @class */ (function () {
        function PrivateApiCallerService(http) {
            this.http = http;
            this.accessTokenName = 'token';
        }
        /**
         * @return {?}
         */
        PrivateApiCallerService.prototype.getAuthHeaders = /**
         * @return {?}
         */
            function () {
                return {
                    headers: {
                        'Content-Type': 'application/json',
                        'Authorization': "Bearer " + localStorage.getItem(this.accessTokenName)
                    }
                };
            };
        /**
         * @param {?} requestFunc
         * @return {?}
         */
        PrivateApiCallerService.prototype.doPrivateApiRequest = /**
         * @param {?} requestFunc
         * @return {?}
         */
            function (requestFunc) {
                return rxjs.of(localStorage.getItem(this.accessTokenName)).pipe(operators.first(), operators.filter(( /**
                 * @param {?} u
                 * @return {?}
                 */function (u) { return !!u; })), operators.map(this.getAuthHeaders.bind(this)), operators.switchMap(requestFunc), this.processApiResponse());
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?=} params
         * @param {?=} reqOpts
         * @return {?}
         */
        PrivateApiCallerService.prototype.get = /**
         * @template T
         * @param {?} endpoint
         * @param {?=} params
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, params, reqOpts) {
                var _this = this;
                return this.doPrivateApiRequest(( /**
                 * @param {?} options
                 * @return {?}
                 */function (options) { return _this.http.get(_this.apiUrl + endpoint, __assign({}, generateRequestOptions(reqOpts, params), options)); }));
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PrivateApiCallerService.prototype.post = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                var _this = this;
                return this.doPrivateApiRequest(( /**
                 * @param {?} options
                 * @return {?}
                 */function (options) { return _this.http.post(_this.apiUrl + endpoint, body, __assign({}, generateRequestOptions(reqOpts), options)); }));
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PrivateApiCallerService.prototype.put = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                var _this = this;
                return this.doPrivateApiRequest(( /**
                 * @param {?} options
                 * @return {?}
                 */function (options) { return _this.http.put(_this.apiUrl + endpoint, body, __assign({}, generateRequestOptions(reqOpts), options)); }));
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?=} reqOpts
         * @return {?}
         */
        PrivateApiCallerService.prototype.delete = /**
         * @template T
         * @param {?} endpoint
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, reqOpts) {
                var _this = this;
                return this.doPrivateApiRequest(( /**
                 * @param {?} options
                 * @return {?}
                 */function (options) { return _this.http.delete(_this.apiUrl + endpoint, __assign({}, generateRequestOptions(reqOpts), options)); }));
            };
        /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
        PrivateApiCallerService.prototype.patch = /**
         * @template T
         * @param {?} endpoint
         * @param {?} body
         * @param {?=} reqOpts
         * @return {?}
         */
            function (endpoint, body, reqOpts) {
                var _this = this;
                return this.doPrivateApiRequest(( /**
                 * @param {?} options
                 * @return {?}
                 */function (options) { return _this.http.patch(_this.apiUrl + endpoint, body, __assign({}, generateRequestOptions(reqOpts), options)); }));
            };
        /**
         * @template T
         * @return {?}
         */
        PrivateApiCallerService.prototype.processApiResponse = /**
         * @template T
         * @return {?}
         */
            function () {
                var _this = this;
                return ( /**
                 * @param {?} httpResponse$
                 * @return {?}
                 */function (httpResponse$) {
                    return httpResponse$.pipe(operators.map(( /**
                     * @param {?} response
                     * @return {?}
                     */function (response) { return ( /** @type {?} */(response)); })), operators.catchError(( /**
                     * @param {?} err
                     * @return {?}
                     */function (err) {
                        if (err.status === 401) {
                            localStorage.removeItem(_this.accessTokenName);
                            location.reload(true);
                        }
                        return rxjs.throwError(err);
                    })));
                });
            };
        PrivateApiCallerService.decorators = [
            { type: i0.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        PrivateApiCallerService.ctorParameters = function () {
            return [
                { type: i1.HttpClient }
            ];
        };
        /** @nocollapse */ PrivateApiCallerService.ngInjectableDef = i0.defineInjectable({ factory: function PrivateApiCallerService_Factory() { return new PrivateApiCallerService(i0.inject(i1.HttpClient)); }, token: PrivateApiCallerService, providedIn: "root" });
        return PrivateApiCallerService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @return {?}
     */
    function isMobile() {
        return /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent)
            || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0, 4));
    }
    /**
     * @param {?} items
     * @param {?} subArrayName
     * @param {?} cb
     * @return {?}
     */
    function recursiveLoop(items, subArrayName, cb) {
        if (Array.isArray(items)) {
            items.some(( /**
             * @param {?} item
             * @return {?}
             */function (item) {
                if (cb(item)) {
                    return true;
                }
                else {
                    recursiveLoop(item[subArrayName], subArrayName, cb);
                }
            }));
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ThemeList = [
        {
            id: 'theme-mobile',
            link: 'assets/theme/theme-mobile.css'
        },
        {
            id: 'theme-desktop',
            link: 'assets/theme/theme-desktop.css'
        }
    ];
    /**
     * @param {?} id
     * @return {?}
     */
    function getThemeById(id) {
        return ThemeList.find(( /**
         * @param {?} theme
         * @return {?}
         */function (theme) { return theme.id === id; }));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    function changeTheme(id) {
        /** @type {?} */
        var themeLink = generateThemeLink();
        if (getThemeById(id)) {
            themeLink.href = getThemeById(id).link;
            localStorage.setItem('currentTheme', getThemeById(id).id);
        }
        else {
            localStorage.removeItem('currentTheme');
            detectThemeByDeviceType();
            throw "Wrong Theme ID";
        }
        /** @type {?} */
        var body = document.getElementsByTagName('body')[0];
        if (id.indexOf('mobile') !== -1) {
            body.className = body.className + ' mobile-theme';
        }
        else if (body.className.indexOf('mobile-theme') !== -1) {
            body.className = body.className.replace(' mobile-theme', '');
        }
    }
    /**
     * @param {?=} currentThemePriority
     * @return {?}
     */
    function detectThemeByDeviceType(currentThemePriority) {
        if (currentThemePriority === void 0) {
            currentThemePriority = false;
        }
        /** @type {?} */
        var currentTheme = getCurrentTheme();
        if (currentThemePriority) {
            changeTheme(currentTheme);
            return true;
        }
        if (isMobile()) {
            if (currentTheme)
                changeTheme(currentTheme.replace('desktop', 'mobile'));
            else
                changeTheme('theme-mobile');
        }
        else {
            if (currentTheme) {
                changeTheme(currentTheme.replace('mobile', 'desktop'));
            }
            else {
                changeTheme('theme-desktop');
            }
        }
    }
    /**
     * @return {?}
     */
    function getCurrentTheme() {
        return localStorage.getItem('currentTheme');
    }
    /**
     * @return {?}
     */
    function generateThemeLink() {
        /** @type {?} */
        var themeLink = ( /** @type {?} */(document.getElementById('theme-css')));
        if (!themeLink) {
            /** @type {?} */
            var head = document.getElementsByTagName('head')[0];
            themeLink = document.createElement("link");
            themeLink.id = "theme-css";
            themeLink.rel = "stylesheet";
            themeLink.type = "text/css";
            head.appendChild(themeLink);
        }
        return themeLink;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.CustomMenuComponent = CustomMenuComponent;
    exports.SubMenu = SubMenu;
    exports.CmxMenuModule = CmxMenuModule;
    exports.ObserveType = ObserveType;
    exports.ImagesObserver = ImagesObserver;
    exports.LazySrcDirective = LazySrcDirective;
    exports.LazySrcDirectiveCoreModule = LazySrcDirectiveCoreModule;
    exports.DynamicComponent = DynamicComponent;
    exports.CmxDynamicModule = CmxDynamicModule;
    exports.DynamicComponentService = DynamicComponentService;
    exports.LoaderComponent = LoaderComponent;
    exports.LoaderModule = LoaderModule;
    exports.PanelComponent = PanelComponent;
    exports.PanelModule = PanelModule;
    exports.BroadcasterService = BroadcasterService;
    exports.WithEventSubscriptions = WithEventSubscriptions;
    exports.DynamicActionsService = DynamicActionsService;
    exports.AppConfigService = AppConfigService;
    exports.PrivateApiCallerService = PrivateApiCallerService;
    exports.generateRequestOptions = generateRequestOptions;
    exports.PublicApiCallerService = PublicApiCallerService;
    exports.isMobile = isMobile;
    exports.recursiveLoop = recursiveLoop;
    exports.getThemeById = getThemeById;
    exports.changeTheme = changeTheme;
    exports.detectThemeByDeviceType = detectThemeByDeviceType;
    exports.getCurrentTheme = getCurrentTheme;
    exports.ThemeList = ThemeList;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=custom-component.umd.js.map