import { AfterViewInit, SimpleChanges, ViewContainerRef, EventEmitter, ChangeDetectorRef, ComponentFactoryResolver, OnChanges } from '@angular/core';
import { DynamicComponentService } from './dynamic.service';
export declare class DynamicComponent implements AfterViewInit, OnChanges {
    private DynamicComponentService;
    private viewRef;
    cdRef: ChangeDetectorRef;
    private componentFactoryResolver;
    container: ViewContainerRef;
    component: any;
    hasLoader: boolean;
    options: any;
    optionsChange: EventEmitter<any>;
    initialized: EventEmitter<any>;
    control: any;
    loader: boolean;
    constructor(DynamicComponentService: DynamicComponentService, viewRef: ViewContainerRef, cdRef: ChangeDetectorRef, componentFactoryResolver: ComponentFactoryResolver);
    ngAfterViewInit(): void;
    init(): void;
    injectComponent(componentFactory: any, componentData: any, container: ViewContainerRef): void;
    ngOnChanges(changes: SimpleChanges): void;
}
