import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class PublicApiCallerService {
    http: HttpClient;
    constructor(http: HttpClient);
    get<T>(endpoint: string, params?: any, reqOpts?: any): Observable<any>;
    post<T>(endpoint: string, body: any, reqOpts?: any): Observable<any>;
    put<T>(endpoint: string, body: any, reqOpts?: any): Observable<any>;
    delete<T>(endpoint: string, reqOpts?: any): Observable<any>;
    patch<T>(endpoint: string, body: any, reqOpts?: any): Observable<any>;
    processApiResponse<T>(): (httpResponse$: Observable<any>) => Observable<T>;
}
export declare function generateRequestOptions(reqOpts?: any, params?: any): any;
