import { Observable, Subscription } from 'rxjs';
import { OnDestroy } from '@angular/core';
export interface BroadcastEvent {
    key: any;
    data?: any;
}
export declare class BroadcasterService {
    private _eventBus;
    constructor();
    broadcast(key: any, data?: any): void;
    on<T>(key: any): Observable<T>;
}
export declare class WithEventSubscriptions implements OnDestroy {
    subscriptions: Subscription[];
    constructor(broadcasterService: BroadcasterService);
    ngOnDestroy(): void;
}
